//app.js
App({
  url: 'https://www.koala-online.cn/compass/if/',
  onLaunch: function () {
    var that = this;
    //调用wx用户登陆
    wx.login({
        success: res => {
          // 发送 res.code 到后台换取 openId, sessionKey, unionId
          wx.request({
            url: that.url + 'ajax_check_user_registed.php',
            data: {
              code: res.code
            },
            success(resp) {

              //保存返回的openId和unionId
              console.log(resp)
              let config = {
                openId: resp.data.result.openId,
                unionId: resp.data.result.unionId,
                registed: resp.data.result.registed
              };
              // wx.showToast({
              //   title: "unionId=" + res.data.result.unionId,
              //   icon: 'success',
              //   duration: 2000
              // });
              wx.setStorageSync("config", config);
            },
            fail (resp) {
              wx.showToast({
                title: 'resp',
                icon: 'success',
                duration: 2000
              });
            },
            complete (resp) {
            },
          })
        }
    })

    //获取并保存用户的经纬度信息
    wx.getLocation({
      type: 'wgs84',
      success: function (res) {
        let location = {
          latitude: res.latitude,
          longitude: res.longitude
        };
        wx.setStorage({
          key: 'location',
          data: location,
        })
      }
    })

    // 获取用户信息
    wx.getSetting({
      success: res => {
        if (res.authSetting['scope.userInfo']) {
          // 已经授权，可以直接调用 getUserInfo 获取头像昵称，不会弹框
          wx.getUserInfo({
            success: res => {
              // 可以将 res 发送给后台解码出 unionId
              this.globalData.userInfo = res.userInfo

              // 由于 getUserInfo 是网络请求，可能会在 Page.onLoad 之后才返回
              // 所以此处加入 callback 以防止这种情况
              if (this.userInfoReadyCallback) {
                this.userInfoReadyCallback(res)
              }
            }
          })
        }
      }
    })

  },

  //判断用户是否已经注册
  checkUser:function(code,openid){
    
  },
  globalData: {
    userInfo: null,
    config:null
  },
})